set I;
set J;
param Ingredient{i in I, j in J};
param Cost{i in I};
param Lower{j in J};
var x{i in I}; # pound of chemical

minimize Z: sum{i in I} Cost[i] * x[i];
subject to Total: sum{i in I} x[i] =1000; #x1+x2+x3+x4 = 1000;
subject to Quality{j in J}: sum{i in I} Ingredient[i,j]*x[i] >= Lower[j]; 
subject to Amount1: x[1] >= 0;
subject to Amount2: x[2] >= 100;
subject to Amount3: x[3] >= 0;
subject to Amount4: x[4] >= 0;

